%global momorel 1
%global date 20080516
%global svndate 16.05.08
%global qtver 4.4.0
%global kdever 4.0.4
%global kdelibsrel 1m

Summary: A midi/karaoke player for KDE
Name: kmid
Version: 2.0
Release: 0.%{date}.%{momorel}m%{?dist}
License: GPLv2+
URL: http://extragear.kde.org/
Group: Applications/Multimedia
Source0: %{name}-%{svndate}.tar.bz2
Patch0: %{name}-%{svndate}-cmake.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: alsa-lib-devel
BuildPreReq: cmake
BuildPreReq: gettext

%description
KMid is a midi/karaoke file player, with configurable midi mapper, real 
Session Management, drag & drop, customizable fonts, etc. It has a very 
nice interface which let you easily follow the tune while changing the 
color of the lyrics.
It supports output through external synthesizers, AWE, FM and GUS cards.
It also has a keyboard view to see the notes played by each instrument.

%package devel
Summary: Development files for kmid
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for kmid.

%prep
%setup -q -n %{name}-%{svndate}

%patch0 -p1 -b .fix-cmake

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kmid.png %{buildroot}%{_datadir}/pixmaps/kmid.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc COPYING* ChangeLog PEOPLE README
%{_kde4_bindir}/kmid
%{_kde4_libdir}/kde4/libkmidpart.so
%{_kde4_libdir}/libkmidlib.so.*
%{_kde4_libdir}/liblibkmid.so.*
%{_kde4_datadir}/applications/kde4/kmid.desktop
%{_kde4_appsdir}/kmid
%{_datadir}/dbus-1/interfaces/org.kde.KMid.xml
%{_kde4_docdir}/HTML/*/kmid
%{_kde4_iconsdir}/hicolor/*/*/*.png
%{_kde4_datadir}/kde4/servicetypes/audiomidi.desktop
%{_datadir}/locale/*/LC_MESSAGES/kmid.mo
%{_datadir}/pixmaps/kmid.png

%files devel
%defattr(-, root, root)
%{_kde4_includedir}/libkmid
%{_kde4_libdir}/libkmidlib.so
%{_kde4_libdir}/liblibkmid.so

%changelog
* Fri May 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.20080516.1m)
- initial package for Momonga Linux
- import and modify Fedora's cmake.patch
